package com.keao.edu.common.service;

public interface IdGeneratorService {

	/**
	 * 根据业务名称生产id
	 * @param biz
	 * @return
	 */
	long generatorId(String biz);

	/**
	 * 自动生成id
	 * @return
	 */
	long generatorId();

	/**
	 * 校验验证码
	 * @param mobile
	 * @param authCode
	 * @return
	 */
	boolean verifyValidCode(String mobile, String authCode);
}
